Sys.putenv {base} | R Documentation

## Set Environment Variables

### Description

`putenv` sets environment variables (for other processes called from within R or future calls to `Sys.getenv` from this R process).

### Usage

    Sys.putenv(...)

### Arguments

`...` | arguments in `name=value` form, with `value` coercible to a character string.

### Details

Non-standard R names must be quoted: see the Examples section.

### Value

A logical vector of the same length as `x`, with elements being true if setting the corresponding variable succeeded.

### Note

Not all systems need support `Sys.putenv` (although all known current platforms do).

### See Also

`Sys.getenv`, Startup for ways to set environment variables for the R session.

`setwd` for the working directory.

### Examples

    print(Sys.putenv(R_TEST="testit", "A+C"=123))
    Sys.getenv("R_TEST")

[Package base version 2.2.1 Index]